window.Gleam.initSearch([{"doc":"pona","title":"pona","content":"# Pona - A library for toki pona\n\nAn example program:\n\n```gleam\nimport pona/word\nimport pona/translation\nimport gleam/io\nimport gleam/result\n\npub fn word_definition_test() {\n  let assert Ok(word) =\n    word.word(&quot;toki&quot;)\n    |&gt; word.fetch\n\n  let assert Ok(translation) =\n    word\n    |&gt; word.get_translation(&quot;en&quot;)\n\n  translation\n  |&gt; translation.get_definition()\n  |&gt; io.println\n}\n```\n","url":"index.html"},{"doc":"pona/compound","title":"Compound","content":"pub type Compound {\n  Compound(word: String, definitions: Dict(String, Int))\n}\n\nCompound(word: String, definitions: Dict(String, Int))\n\n\nSynonyms:\npona/compound.Compound\npona/compound Compound","url":"pona/compound.html#Compound"},{"doc":"pona/compound","title":"CompoundError","content":"pub type CompoundError {\n  DynamicError(dynamic.Dynamic)\n  WordNotFound(String)\n}\n\nDynamicError(dynamic.Dynamic)\n\n\nWordNotFound(String)\n\n\nSynonyms:\npona/compound.CompoundError\npona/compound CompoundError","url":"pona/compound.html#CompoundError"},{"doc":"pona/compound","title":"CompoundFetcher","content":"pub type CompoundFetcher {\n  CompoundFetcher(english: String)\n}\n\nCompoundFetcher(english: String)\n\n\nSynonyms:\npona/compound.CompoundFetcher\npona/compound CompoundFetcher","url":"pona/compound.html#CompoundFetcher"},{"doc":"pona/compound","title":"compound","content":"pub fn compound(english: String) -&gt; CompoundFetcher\n\nSynonyms:\npona/compound.compound\npona/compound compound","url":"pona/compound.html#compound"},{"doc":"pona/compound","title":"fetch","content":"pub fn fetch(\n  fetcher: CompoundFetcher,\n) -&gt; Result(Compound, CompoundError)\n\nSynonyms:\npona/compound.fetch\npona/compound fetch","url":"pona/compound.html#fetch"},{"doc":"pona/compound","title":"get_definitions","content":"pub fn get_definitions(compound: Compound) -&gt; Dict(String, Int)\n\nSynonyms:\npona/compound.get_definitions\npona/compound get_definitions","url":"pona/compound.html#get_definitions"},{"doc":"pona/compound","title":"pona/compound","content":"","url":"pona/compound.html"},{"doc":"pona/translation","title":"WordTranslation","content":"pub type WordTranslation {\n  WordTranslation(commentary: String, definition: String)\n}\n\nWordTranslation(commentary: String, definition: String)\n\n\nSynonyms:\npona/translation.WordTranslation\npona/translation WordTranslation","url":"pona/translation.html#WordTranslation"},{"doc":"pona/translation","title":"get_commentary","content":"pub fn get_commentary(translation: WordTranslation) -&gt; String\n\nSynonyms:\npona/translation.get_commentary\npona/translation get_commentary","url":"pona/translation.html#get_commentary"},{"doc":"pona/translation","title":"get_definition","content":"pub fn get_definition(translation: WordTranslation) -&gt; String\n\nSynonyms:\npona/translation.get_definition\npona/translation get_definition","url":"pona/translation.html#get_definition"},{"doc":"pona/translation","title":"pona/translation","content":"","url":"pona/translation.html"},{"doc":"pona/word","title":"Word","content":"pub type Word {\n  Word(\n    id: String,\n    book: String,\n    coined_era: String,\n    coined_year: String,\n    source_language: String,\n    usage_category: String,\n    translations: Dict(String, WordTranslation),\n    creator: List(String),\n  )\n}\n\nWord(\n  id: String,\n  book: String,\n  coined_era: String,\n  coined_year: String,\n  source_language: String,\n  usage_category: String,\n  translations: Dict(String, WordTranslation),\n  creator: List(String),\n)\n\n\nSynonyms:\npona/word.Word\npona/word Word","url":"pona/word.html#Word"},{"doc":"pona/word","title":"WordError","content":"pub type WordError {\n  JSONDecodeError(json.DecodeError)\n  DynamicError(dynamic.Dynamic)\n  WordNotFound(String)\n  WordParsingError(String)\n  TranslationNotFound(String)\n}\n\nJSONDecodeError(json.DecodeError)\n\n\nDynamicError(dynamic.Dynamic)\n\n\nWordNotFound(String)\n\n\nWordParsingError(String)\n\n\nTranslationNotFound(String)\n\n\nSynonyms:\npona/word.WordError\npona/word WordError","url":"pona/word.html#WordError"},{"doc":"pona/word","title":"WordFetcher","content":"pub type WordFetcher {\n  WordFetcher(word: String, lang: List(String))\n}\n\nWordFetcher(word: String, lang: List(String))\n\n\nSynonyms:\npona/word.WordFetcher\npona/word WordFetcher","url":"pona/word.html#WordFetcher"},{"doc":"pona/word","title":"sona_linku","content":"pub const sona_linku: String = &quot;https://api.linku.la/v1/words/&quot;\n\nSynonyms:\npona/word.sona_linku\npona/word sona_linku","url":"pona/word.html#sona_linku"},{"doc":"pona/word","title":"fetch","content":"pub fn fetch(wf: WordFetcher) -&gt; Result(Word, WordError)\n\nSynonyms:\npona/word.fetch\npona/word fetch","url":"pona/word.html#fetch"},{"doc":"pona/word","title":"get_translation","content":"pub fn get_translation(\n  word: Word,\n  lang: String,\n) -&gt; Result(WordTranslation, WordError)\n\nSynonyms:\npona/word.get_translation\npona/word get_translation","url":"pona/word.html#get_translation"},{"doc":"pona/word","title":"language","content":"pub fn language(wf: WordFetcher, new: String) -&gt; WordFetcher\n\nSynonyms:\npona/word.language\npona/word language","url":"pona/word.html#language"},{"doc":"pona/word","title":"word","content":"pub fn word(word: String) -&gt; WordFetcher\n\nSynonyms:\npona/word.word\npona/word word","url":"pona/word.html#word"},{"doc":"pona/word","title":"pona/word","content":"","url":"pona/word.html"}]);